%%%
%%% Q_AUTOSCALEIM: AUTOSCALE IMAGE
%%%
%%%		Adjust display so that the image fills the currently
%%%		specified display range (IM.clim). Analogous to 
%%%		Q_autoscale, but destructive.
%%%
%%% DATE: 	August 3, 1999
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
%%% MODIFY:   March 29, 2000
%%%           Support for RGB images, autoscale each channel separately.
%%%
function [] = Q_autoscaleim( parent );
	
	if( Q_active(parent,1) )
		return;
	end

	IM	= Q_get_iminfo( parent );
	clim	= IM.clim;
	im	= IM.im;        
	[ydim,xdim,zdim] = size( im );
	for z = 1 : zdim
		im2(:,:,z) = im(:,:,z) - min(min(im(:,:,z)));
		im2(:,:,z) = im2(:,:,z) * ...
				(clim(z,2)-clim(z,1)) / max(max(im2(:,:,z)));
		im2(:,:,z) = im2(:,:,z) + clim(z,1);
        end
	IM.im	= im2;
	Q_show_im( IM, parent );
	Q_active( parent, 0 );

