%%%
%%% Q_EQUALIZEIM: HISTOGRAM EQUALIZATION
%%%
%%%		Adjust the histogram of the image so that the histogram
%%%		is flat.  Same as Q_equalize but destructive.
%%%
%%% DATE: 	August 3, 1999
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
%%% MODIFY:	March 29, 2000
%%%		Add support for color images, equalize each color channel
%%%		separately.
%%%
function [] = Q_equalizeim( parent );
	
	if( Q_active(parent,1) )
		return;
	end

	IM		= Q_get_iminfo( parent );
        [ydim,xdim,zdim]= size( IM.im );
	for z = 1 : zdim
		im		= IM.im(:,:,z);
		im		= im(:);
		minim		= min(im);
		maxim		= max(im);
		step		= (maxim-minim)/63;
		X		= [minim : step : maxim];
		N 		= hist( im, X );
		T		= sum( N );
		N2		= cumsum( N ) / T;
		X2		= [minim : (maxim-minim)/255 : maxim];
		N2		= interp1( X, N2, X2, '*linear' );
		im2		= 255*interp1( X2, N2, im, '*cubic' );
		im2		= reshape( im2, ydim, xdim ); 
		im3(:,:,z)	= im2;
	end

	IM.im		= im3;
	Q_show_im( IM, parent );
	Q_active( parent, 0 );
