%%%
%%% Q_FLIP: 	FLIP IMAGE.
%%%
%%%		Flip image  horizontally (k=1) or vertically (k=0).
%%%		Uses built-in matlab function fliplr and flipud.
%%%
%%% DATE: 	June 3, 1998
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
%%% MODIFY:	March 29, 2000
%%%		Add support for color images.
%%%
function [] = Q_flip( parent, k )

	if( Q_active(parent,1) )
		return;
	end

	IM	= Q_get_iminfo( parent );
	if( strcmp( IM.mode, 'gray' ) )
		if( k == 1 )    
			IM.im = fliplr( IM.im );
		elseif(  k == 0 )
			IM.im = flipud( IM.im );
		end
	elseif( strcmp( IM.mode, 'rgb' ) )
		if( k == 1 )    
			imr = fliplr( IM.im(:,:,1) );
			img = fliplr( IM.im(:,:,2) );
			imb = fliplr( IM.im(:,:,3) );
                else
			imr = flipud( IM.im(:,:,1) );
			img = flipud( IM.im(:,:,2) );
			imb = flipud( IM.im(:,:,3) );
		end
		IM.im(:,:,1) = imr;
		IM.im(:,:,2) = img;
		IM.im(:,:,3) = imb;
	end

	Q_show_im( IM, parent );
	Q_active( parent, 0 );	
