%%%
%%% Q_INVERTIM:	INVERT IMAGE 
%%%
%%%		Invert image, i.e., max gets mapped to min, and
%%%		min to max - same as Q_invert, but destructive.
%%%
%%% DATE: 	August 3, 1999
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
%%% MODIFY:	March 29, 2000
%%%		Add support for color images, invert each color channel
%%%		separately.
%%%
function [] = Q_invertim( parent );
	
	if( Q_active(parent,1) )
		return;
	end

	IM	= Q_get_iminfo( parent );
	[ydim,xdim,zdim] = size( IM.im );
	for z = 1 : zdim
		IM.im(:,:,z) = (max(max(IM.im(:,:,z))) - IM.im(:,:,z)) + ...
					min(min(IM.im(:,:,z)));
	end
	Q_show_im( IM, parent );
	Q_active( parent, 0 );
