%%%
%%% Q_MOTIONFCN: NON-MENU ROUTINE.
%%%
%%%		Update current X/Y mouse position and display/image
%%%		value at that position.  This information is reported
%%%		at the bottom of the image.  This routine is set to
%%%		the figure 'WindowButtonMotionFcn'. 
%%%
%%% DATE: 	June 13, 1998
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
%%% MODIFY: 	March 29, 2000
%%%		remove X,Y label in mouse position.
%%%		add support for color images.
%%%

function [] = Q_motionfcn( parent )

	IM	= Q_get_iminfo( parent );
	H	= Q_get_handles( parent );
	
	[x,y]	= Q_get_xy( parent );
	x	= round( x );
	y	= round( y );
	set( H.pos, 'String', sprintf('[%d, %d]',x,y) );

	if( strcmp( IM.mode, 'gray' ) )	
		ival 	= IM.im( y, x );
		dval 	= round( 255*Q_cmaplookup( IM.cmap,IM.clim,IM.im(y,x) ) );

		set( H.dval, 'String', sprintf('disp: [%d]',dval) );
		set( H.ival, 'String', sprintf('im: [%.1f]',ival) );
	end
	if( strcmp( IM.mode, 'rgb' ) )	
		ival	= [IM.im( y, x, 1 ) IM.im( y, x, 2 ) IM.im( y, x, 3 )];
		dval	= round( 255*Q_cmaplookup( IM.cmap,IM.clim,ival ) );
		set( H.dval, 'String', sprintf('disp: [%d %d %d]', dval ) );
		set( H.ival, 'String', sprintf('im: [%.1f %.1f %.1f]', ival) );
	end
