%%%
%%% Q_RGB2LUMINOSITY: NON-MENU ROUTINE.
%%%
%%%		Convert from RGB to luminosity according to:
%%%			L = 0.299*R + 0.587*G + 0.114*B
%%%
%%% DATE: 	March 29, 2000
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%

function[ IM2 ] = Q_rgb2luminosity( IM )

	IM2 = IM;

	if( strcmp( IM.mode, 'rgb' ) )
		[ydim,xdim,zdim] = size( IM.im );
		IM2.im = zeros( ydim, xdim );
		IM2.im = 0.299*IM.im(:,:,1) + 0.587*IM.im(:,:,2) + ...
			 0.114*IM.im(:,:,3);

		IM2.cmap = 0.299*IM.cmap(:,1) + 0.587*IM.cmap(:,2) + ...
			   0.114*IM.cmap(:,3);
		IM2.cmap = IM2.cmap * [1 1 1];

		IM2.clim = [0 0];
		IM2.clim = 0.299*IM.clim(1,:) + 0.587*IM.clim(2,:) + ...
			   0.114*IM.clim(3,:);
	end

